    package de.avatic.lcc.model.db.calculations;

    import de.avatic.lcc.dto.generic.RateType;
    import de.avatic.lcc.dto.generic.TransportType;

    import java.math.BigDecimal;

    public class CalculationJobRouteSection {
        private Integer id;
        private Integer premiseRouteSectionId;
        private Integer calculationJobDestinationId;
        private TransportType transportType;
        private RateType rateType;
        private Boolean isUnmixedPrice;
        private Boolean isCbmPrice;
        private Boolean isWeightPrice;
        private Boolean isStacked;
        private Boolean isPreRun;
        private Boolean isMainRun;
        private Boolean isPostRun;
        private BigDecimal rate;
        private BigDecimal distance;
        private BigDecimal cbmPrice;
        private BigDecimal weightPrice;

        private BigDecimal annualRiskCost;
        private BigDecimal annualChanceCost;
        private BigDecimal annualCost;
        private Integer transitTime;
        private BigDecimal utilization;


        public BigDecimal getAnnualRiskCost() {
            return annualRiskCost;
        }

        public void setAnnualRiskCost(BigDecimal annualRiskCost) {
            this.annualRiskCost = annualRiskCost;
        }

        public BigDecimal getAnnualChanceCost() {
            return annualChanceCost;
        }

        public void setAnnualChanceCost(BigDecimal annualChanceCost) {
            this.annualChanceCost = annualChanceCost;
        }

        public RateType getRateType() {
            return rateType;
        }

        public void setRateType(RateType rateType) {
            this.rateType = rateType;
        }

        public TransportType getTransportType() {
            return transportType;
        }

        public void setTransportType(TransportType transportType) {
            this.transportType = transportType;
        }

        public Integer getId() {
            return id;
        }

        public void setId(Integer id) {
            this.id = id;
        }

        public Integer getPremiseRouteSectionId() {
            return premiseRouteSectionId;
        }

        public void setPremiseRouteSectionId(Integer premiseRouteSectionId) {
            this.premiseRouteSectionId = premiseRouteSectionId;
        }

        public Integer getCalculationJobDestinationId() {
            return calculationJobDestinationId;
        }

        public void setCalculationJobDestinationId(Integer calculationJobDestinationId) {
            this.calculationJobDestinationId = calculationJobDestinationId;
        }

        public Boolean getUnmixedPrice() {
            return isUnmixedPrice;
        }

        public void setUnmixedPrice(Boolean unmixedPrice) {
            isUnmixedPrice = unmixedPrice;
        }

        public Boolean isCbmPrice() {
            return isCbmPrice;
        }

        public BigDecimal getCbmPrice() {
            return this.cbmPrice;
        }

        public BigDecimal getWeightPrice() {
            return this.weightPrice;
        }

        public void setCbmPrice(BigDecimal cbmPrice) {
            this.cbmPrice = cbmPrice;
        }

        public void setCbmPrice(Boolean cbmPrice) {
            isCbmPrice = cbmPrice;
        }

        public Boolean isWeightPrice() {
            return isWeightPrice;
        }

        public void setWeightPrice(BigDecimal weightPrice) {
            this.weightPrice = weightPrice;
        }

        public BigDecimal getAnnualCost() {
            return annualCost;
        }

        public void setAnnualCost(BigDecimal annualCost) {
            this.annualCost = annualCost;
        }

        public Integer getTransitTime() {
            return transitTime;
        }

        public void setTransitTime(Integer transitTime) {
            this.transitTime = transitTime;
        }

        public void setWeightPrice(Boolean weightPrice) {
            isWeightPrice = weightPrice;
        }

        public Boolean getStacked() {
            return isStacked;
        }

        public void setStacked(Boolean stacked) {
            isStacked = stacked;
        }

        public Boolean getPreRun() {
            return isPreRun;
        }

        public void setPreRun(Boolean preRun) {
            isPreRun = preRun;
        }

        public Boolean getMainRun() {
            return isMainRun;
        }

        public void setMainRun(Boolean mainRun) {
            isMainRun = mainRun;
        }

        public Boolean getPostRun() {
            return isPostRun;
        }

        public void setPostRun(Boolean postRun) {
            isPostRun = postRun;
        }

        public BigDecimal getRate() {
            return rate;
        }

        public void setRate(BigDecimal rate) {
            this.rate = rate;
        }

        public BigDecimal getDistance() {
            return distance;
        }

        public void setDistance(BigDecimal distance) {
            this.distance = distance;
        }

        public void setUtilization(BigDecimal utilization) {
            this.utilization = utilization;
        }

        public BigDecimal getUtilization() {
            return utilization;
        }
    }
